<?php

namespace Comitium5\DesignerBundle\Validator;

/**
 * Interface EntityValidatedResultInterface
 *
 * Joan Pont <joan.pont@bab-soft.com>
 * @package Comitium5\DesignerBundle\Validator
 */
interface EntityValidatedResultInterface
{
    /**
     * @param EntityValidatorConstraintInterface $constraint
     *
     * @return array
     */
    public function add(EntityValidatorConstraintInterface $constraint) : array;

    /**
     * @return bool
     */
    public function isValidResult() : bool;

    /**
     * @return string
     */
    public function getErrorMessage() : string;
}